## org.apache.poi.hssf.record
Class DrawingGroupRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.AbstractEscherHolderRecord
              org.apache.poi.hssf.record.DrawingGroupRecord

public class DrawingGroupRecord
extends AbstractEscherHolderRecord

Field Summary
`static short` `sid`

Constructor Summary
`DrawingGroupRecord()`
`DrawingGroupRecord(short id, short size, byte[] data)`
`DrawingGroupRecord(short id, short size, byte[] data, int offset)`

Method Summary
`protected java.lang.String` `getRecordName()`
`short` `getSid()` return the non static version of the id for this record.

Methods inherited from class org.apache.poi.hssf.record.AbstractEscherHolderRecord
`addEscherRecord, addEscherRecord, clearEscherRecords, clone, fillFields, getEscherRecord, getEscherRecords, getRecordSize, serialize, toString, validateSid`

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DrawingGroupRecord

    public DrawingGroupRecord()

### DrawingGroupRecord

    public DrawingGroupRecord(short id,
                              short size,
                              byte[] data)

### DrawingGroupRecord

    public DrawingGroupRecord(short id,
                              short size,
                              byte[] data,
                              int offset)

Method Detail

### getRecordName

    protected java.lang.String getRecordName()

  Specified by:
    `getRecordName` in class `AbstractEscherHolderRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `AbstractEscherHolderRecord`

Copyright © 2003 Apache Software Foundation.